Mettre à jour le serveur WAPT

Indication

Si votre serveur wapt est installé en machine virtuelle, faites un snapshot. Cela vous permettera de revenir facilement en arrière en cas d’échec de la mise à jour.

Avant de mettre à niveau le serveur WAPT, veuillez consulter le tableau de compatibilité de mise à niveau suivant :

Vers WAPT 1.5

Vers WAPT 1.6

Vers WAPT 1.7

Vers WAPT 1.8

Depuis WAPT 1.3

Oui

Oui

Non

Non

Depuis WAPT 1.5

Oui

Oui

Non

Depuis WAPT 1.6

Oui

Non

Depuis WAPT 1.7

Oui

Mettre à jour de 1.6/1.7 vers 1.8

La mise à jour s’effectue comme une mise à jour mineure :

Attention

  • Debian Jessie est maintenant obsolète. WAPT 1.8 ne fonctionnera pas avec cette ancienne version de Debian ;

  • envisagez de migrer votre installation WAPT existante vers Debian Buster ou CentOS7;

Mettre à jour de 1.5 vers 1.6

La mise à jour s’effectue comme une mise à jour mineure.

Note

  • si vous êtes sur Debian Jessie, il est recommandé de mettre à niveau vers Debian Buster 64 bits : Mettre à jour le système d’exploitation ;

  • ceci est OBLIGATOIRE pour la version Enterprise avec prise en charge des Windows Updates ;

  • lors de la mise à jour vers Debian10, la base de données PostgreSQL doit être mise à jour ;

Mettre à jour de 1.3 vers 1.6

La mise à jour de la version 1.3 vers 1.6 est une mise à jour majeure.

Mise à jour mineure

Cette procédure concerne la mise à jour classique du serveur WAPT pour les versions mineures, par exemple de 1.7.4 à 1.8.

Le procédé de migration comprend :

  • la mise à jour du serveur WAPT ;

  • la mise à jour de la console WAPT ;

  • la mise à jour de l’agent WAPT ;

  • la mise à jour de la GPO de déploiement ;

Note

Pour la migration majeure WAPT 1.3 vers WAPT 1.6, suivez la documentation de mise à jour majeure 1.3 vers 1.6.